module UTILS
   interface
      real function exmpfunc(a,g,h)
      real,intent(in)::a,g,h
      end function

      subroutine mean(x,y,z,a,g,h)
      real,intent(in)::x,y,z
      real,intent(out)::a,g,h
      end subroutine
   end interface
end module

